##############################################################################
#
# Copyright (c) 2006, 2009 Zope Foundation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################

import os
import setuptools


def read(*rnames):
    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()


setuptools.setup(
    name="zc.intid",
    version="1.0.0",
    author="Zope Corporation and Contributors",
    author_email="zope-dev@zope.org",
    description="Reduced-conflict Integer Id Utility",
    long_description=read("README.txt"),
    keywords="zope3 integer id utility",
    classifiers=[
        #"Development Status :: 5 - Production/Stable",
        "Environment :: Web Environment",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: Zope Public License",
        "Programming Language :: Python",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Topic :: Internet :: WWW/HTTP",
        "Framework :: Zope3"],
    url="http://pypi.python.org/pypi/zc.intid",
    license="ZPL 2.1",
    packages=setuptools.find_packages("src"),
    package_dir={"": "src"},
    namespace_packages=["zc"],
    install_requires=["setuptools",
                      "ZODB3",
                      "zope.component",
                      "zope.event",
                      "zope.interface",
                      "zope.security",
                      ],
    include_package_data=True,
    zip_safe=False,
    )
